var city = {};
city.getCitys = function(){
	
	app.get("/city",function(data){
		city.initCities(data);
		
	},function(data){
		plus.nativeUI.toast(data.msg);
	});
};

city.saveCity = function(data){
	var cities = city.getHistory();
	//查看数组里面是否已经存在该城市
	if(cities.length > 0){
		for(var i = 0; i < cities.length;i ++){
			if(cities[i] == data){
				cities.splice(i,1);
			}
		}
	}
	cities.unshift(data);
	if(cities.length > 2){
		cities.splice(3);
	}
	
	localStorage.setItem("$cities",cities.join(","));
};

city.getHistory=function(){
	var cities = localStorage.getItem("$cities") || "";
	if(cities == ""){
		return new Array();
	}else{
		return cities.split(",");	
	}
	
}

city.initCities = function(data){
	var $tableView = $("#tableView");
	$.each(data.data,function(i,item){
		var chars = item["char"];
		var cities = item["cities"];
		$("<li data-group='"+chars+"' class='mui-table-view-divider mui-indexed-list-group'>"+chars+"</li>").appendTo($tableView);
		$.each(cities, function(j,city) {
			$("<li data-value='"+city.code+"' data-tags='"+city.name+"' class='mui-table-view-cell mui-indexed-list-item'>"+city.name+"</li>").appendTo($tableView);
		});
	});
	window.indexedList = new mui.IndexedList(list);
	//添加点击事件；
	document.querySelector(".mui-table-view-cell").addEventListener("tap",function(){
		plus.nativeUI.alert(this.getAttribute("data-value"));
	},false);
}
