(function($,mine){
	
	//收藏 动作
	mine.favorite = function(postData,callBack){
		if(postData){
			app.post("/search/favorite",postData,function(data){
				return callBack(data);
			},function(data){
				return callBack(-1);
			});
		}
	};
	
	//获取收藏和关注的信息
	mine.myFavoriteAfllow = function(id,callBack){
		if(id){
			app.get("/wode/myFavAndFol/"+id,function(data){
				app.putObj("myFavoriteAfllow",data.data);
				return callBack(data);
			},function(data){
				return callBack(-1);
			})
		}
		
	}
	
	//点评
	mine.evaluation = function(postData,callBack){
		app.post("/dis/commitEvaluation",{"evalStr":JSON.stringify(postData)},function(data){
			return callBack(data);
		},function(data){
			return callBack(-1);
		})
	};
	
	//报错
	mine.reportError = function(postData,callBack){
		app.post("/search/submitError",postData,function(data){
			return callBack(data);
		},function(data){
			return callBack(-1);
		})
	};
	
	//保存用户信息
	mine.saveUserInfo = function(postData,callBack){
		app.post("/wode/editUserinfo",postData,function(data){
			return callBack(data);
		},function(data){
			return callBack(-1);
		})
	};
	
	mine.getSign = function(){
		app.get("/qc/get",function(data){
			if(data.ret){
				plus.storage.setItem("qcloud_sign",JSON.stringify(data.data));
			}
		},function(e){
			//mui.toast(e);
		})
	}
	
	/**
	 *更改密码
	 * 
	 * */
	mine.updatePwd = function(obj,callBack){	
		app.post('/user/editPassword',obj,function(data){		
			return callBack(data);
		},function(){
			return callBack(-1);
		})
	}
	
}(mui,window.mine={}))
