(function($, s) {

s.likeSearch = function(ci,callBack){
	app.get("/search/likeSearch/"+ci,function(data){
		return callBack(data);
	},function(data){
		return callBack(-1);
	})
}

s.search = function(postData,callBack){
	app.post("/search/list",postData,function(data){
		return callBack(data);
	},function(data){
		return callBack(-1);
	});
}

s.searchOne = function(id,callBack){
	app.get("/search/view/"+id,function(data){
		return callBack(data);
	},function(data){
		return callBack(-1);
	});
}

s.hotword = function(callBack){
	app.get("/search/hotword",function(data){
		return callBack(data);
	},function(data){
		return callBack(-1);
	});
}


s.saveSearchHistory = function(data){
	var searchHistory = s.getSearchHistory();
	//查看数组里面是否已经存在该城市
	if(searchHistory.length > 0){
		for(var i = 0; i < searchHistory.length;i ++){
			if(searchHistory[i] == data){
				searchHistory.splice(i,1);
			}
		}
	}
	searchHistory.unshift(data);
	if(searchHistory.length > 7){
		searchHistory.splice(8);
	}
	
	localStorage.setItem("$searchHistory",searchHistory.join(","));
};

s.getSearchHistory=function(){
	var searchHistory = localStorage.getItem("$searchHistory") || "";
	if(searchHistory == ""){
		return new Array();
	}else{
		return searchHistory.split(",");	
	}
	
};

s.loadGPS = function(postData,callBack){
	app.post("/search/map",postData,function(data){
		return callBack(data);
	},function(data){
		return callBack(-1);
	});
}


}(mui,window.s={}));

